# class Bundler::Plugin::SourceList

### Public Instance Methods

add_git_source(options = {}) click to toggle source

    # File lib/bundler/plugin/source_list.rb, line 8
    def add_git_source(options = {})
      add_source_to_list Plugin::Installer::Git.new(options), git_sources
    end

add_rubygems_source(options = {}) click to toggle source

    # File lib/bundler/plugin/source_list.rb, line 12
    def add_rubygems_source(options = {})
      add_source_to_list Plugin::Installer::Rubygems.new(options), @rubygems_sources
    end

all_sources() click to toggle source

    # File lib/bundler/plugin/source_list.rb, line 16
    def all_sources
      path_sources + git_sources + rubygems_sources + [metadata_source]
    end

### Private Instance Methods

rubygems_aggregate_class() click to toggle source

    # File lib/bundler/plugin/source_list.rb, line 22
    def rubygems_aggregate_class
      Plugin::Installer::Rubygems
    end